<div *ngIf="userInfo" class="col-md-6">
    <div class="row">
        <div class="col text-center">
            <p class="title">Hi {{ userInfo.display_name }}</p>
        </div>
    </div>
    <div class="row">
        <div class="col text-center img-container">
            <img [src]="userInfo.images[0].url" [alt]="[userInfo.display_name, 'profile picture']">
        </div>
        <div class="col">
            <p>Email: {{ userInfo.email }}</p>
            <p>User:
                <a [href]="userInfo.external_urls.spotify">{{ userInfo.id }}</a>
            </p>
            <p>Country: {{ userInfo.country }}</p>
            <p>Followers: {{ userInfo.followers.total }}</p>
        </div>
    </div>
</div>

<button *ngIf="!userInfo" (click)="login()" class="btn btn-success">Login</button>